<?php
/**
 * Skrill Payment log
 *
 * The Class for Process Skrill Payment Gateways
 * Copyright (c) Skrill
 *
 * @class   SkrillPaymentLog
 * @package Skrill/Classes
 * @located at /models
 */
class SkrillOxCountry extends oxBase
{

    /**
     * Object core table name
     *
     * @var string
     */
    protected $_sCoreTable = 'oxcountry';

    /**
     * Current class name
     *
     * @var string
     */
    protected $_sClassName = 'SkrillOxCountry';

    /**
     * @return string country iso 2 characters
     */
    public static function getUserCountryIso2()
    {
        $country = oxRegistry::getSession()->getUser()->oxuser__oxcountryid->value;
        $countryIso2 = oxDb::getDB()->getone("
            SELECT `oxisoalpha2` FROM `oxcountry`
            WHERE `oxid` = '".$country."'");

        return $countryIso2;
    }

    /**
     * @return string country iso 3 characters
     */
    public static function getUserCountryIso3()
    {
        $country = oxRegistry::getSession()->getUser()->oxuser__oxcountryid->value;
        $countryIso3 = oxDb::getDB()->getone("
            SELECT `oxisoalpha3` FROM `oxcountry`
            WHERE `oxid` = '".$country."'");

        return $countryIso3;
    }

    /**
     * @return string country iso 2 characters
     */
    public static function getCountryIso2byIso3($countryIso3)
    {
        $countryIso2 = oxDb::getDB()->getone("
            SELECT `oxisoalpha2` FROM `oxcountry`
            WHERE `oxisoalpha3` = '".$countryIso3."'");

        return $countryIso2;
    }
}
