$(document).ready(function () {
    $("#success-alert").fadeTo(2500, 500).slideUp(500, function () {
        $("#success-alert").slideUp(500);
    });

    $('.payment-method-enabled').each(function () {
        var checkbox = $("#" + this.id + "_checkbox");
        checkbox.prop('checked', $(this).val() == '1');
    });
    $('.payment-method-enabled-checkbox').change(function () {
        var input = $("#" + this.id.replace('_checkbox', ''));
        input.val(
            this.checked ? '1' : '0'
        );
    });

    $('.payment-method-separately').each(function () {
        var checkbox = $("#" + this.id + "_checkbox");
        checkbox.prop('checked', $(this).val() == '1');
    });
    $('.payment-method-separately-checkbox').change(function () {
        var input = $("#" + this.id.replace('_checkbox', ''));
        input.val(
            this.checked ? '1' : '0'
        );
    });

    $('.checkbox-wrapper').click(function (e) {
        if ($(e.target).hasClass('checkbox-wrapper')) {
            $(this).find('label').click();
        }
    });

    function enableDisableCCSeparatePaymentMethods()
    {
        var ccPaymentMethod = $(
            '#skrill_payment_methods_enabled_VSA, #skrill_payment_methods_enabled_MSC, #skrill_payment_methods_enabled_MAE'
        ).parents('.payment-method');

        if (!$('#skrill_payment_methods_enabled_ACC_checkbox')[0].checked) {
            ccPaymentMethod.removeClass('disabled');
        } else {
            ccPaymentMethod.addClass('disabled');
        }
    }

    $('#skrill_payment_methods_enabled_ACC_checkbox').change(function () {
        enableDisableCCSeparatePaymentMethods();
    });
    
    enableDisableCCSeparatePaymentMethods();

    $('.payment-config-tooltip').tooltipster({
        maxWidth: 300
    });
    $('.payment-config-tooltip, .payment-config-logo').click(function () {
        $(this).closest('.payment-method').find('.payment-banks').toggle(500);
    });

    if ($('.secret-password').siblings('input').val() != '') {
        $('.secret-password').val('rand-password');
    }
    $('.secret-password').on('change keyup', function () {
        $(this).siblings('input').val(
            $(this).val().trim()
        );
        $(this).addClass('changed');
    }).focus(function () {
        if (!$(this).hasClass('changed')) {
            $(this).val('');
        }
    }).blur(function () {
        if (this.value == '' && !$(this).hasClass('changed')) {
            $(this).val('rand-password');
        }
    });
});